import 'dart:convert';

SendNumber sendNumberFromJson(String str) => SendNumber.fromJson(json.decode(str));

String sendNumberToJson(SendNumber data) => json.encode(data.toJson());

class SendNumber {
  SendNumber({
    this.sendNumber,
    this.createdAt,
  });

  SendNumber.fromJson(dynamic json) {
    sendNumber = json['sendNumber'];
    createdAt = json['createdAt'];
  }

  String? sendNumber;
  String? createdAt;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['sendNumber'] = sendNumber;
    map['createdAt'] = createdAt;
    return map;
  }
}
